//**********************************************************************//
//									//
//	Title  : nightball.shader					//
//	Author : Sock							//
//	Date   : 25th October 2001					//
//	Email  : sock@planetquake.com					//
//	URL    : http://www.planetquake.com/simland			//
//									//
//**********************************************************************//
textures/aadel_barsketbrawl/nightball_skybox
{
	qer_editorimage textures/aadel_barsketbrawl/nightball_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 5
	surfaceparm sky
	q3map_sun 0.851 0.945 1.0 100 320 40
	skyparms env/barsketbrawl/nightball - -
}
//===============================================
//Skin for deer antliers
models/players/funstuff/Image1
{
		surfaceparm nonsolid
		cull none
		polygonoffset
	{
		map models/players/funstuff/Image1.jpg
		rgbGen wave sin 0.5 0.5 0 1
	}
}
//my water shader with compliments to Code Made Flesh
textures/aadel_barsketbrawl/del_water1
{
    qer_editorimage textures/aadel_barsketbrawl/del_water1.tga
    qer_trans 0.4
    q3map_globaltexture
    q3map_tessSize 128
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
    cull disable
    deformVertexes wave 128 sin .25 .25 0 .5	
    { 
        map textures/aadel_barsketbrawl/del_water2.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
        tcmod scale .9 1.1
        tcmod scroll .03 .007
    }	
    { 
        map textures/aadel_barsketbrawl/del_water1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbgen identity
        tcMod turb 0 0.02 0 0.125
        tcmod scroll .01 .015
    }
}


//light
textures/aadel_barsketbrawl/base_lt
{
	qer_editorimage textures/aadel_barsketbrawl/base_lt.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aadel_barsketbrawl/base_lt.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aadel_barsketbrawl/base_lt.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//my glass . . .
textures/aadel_barsketbrawl/del_glass
{
                     	qer_trans .5
			surfaceparm nolightmap
			surfaceparm glass
			surfaceparm playerclip
			cull disable
			{
			map textures/aadel_barsketbrawl/del_glass_effects.tga
			tcGen environment
			tcMod turb 0 0.01 0 0.01	        
			tcmod scroll .0 .0
			blendfunc GL_ONE GL_ONE
              		}
}

//a chainlink fence from turnpike :D which has been tweaked slightly
textures/aadel_barsketbrawl/fence_chainlink
{
	surfaceparm metalsteps 
	cull none
	{
	map textures/aadel_barsketbrawl/fence_chainlink.tga
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal
	rgbGen identity
	}
}

//===Flags===
textures/aadel_barsketbrawl/deliri10
{
	qer_editorimage textures/aadel_barsketbrawl/deliri10.jpg
        cull none
        surfaceparm nolightmap
	surfaceparm nonsolid
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/aadel_barsketbrawl/deliri10.jpg
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}
textures/aadel_barsketbrawl/nz
{
	qer_editorimage textures/aadel_barsketbrawl/nz.jpg
        cull none
        surfaceparm nolightmap
	surfaceparm nonsolid
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/aadel_barsketbrawl/nz.jpg
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}

//this is my terrain blending, help from keres
textures/aadel_barsketbrawl/grass_one
{
        qer_editorimage textures/aadel_barsketbrawl/grass_one.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/aadel_barsketbrawl/grass_one	// Primary
		rgbGen identity
	}
	{
		map textures/aadel_barsketbrawl/grass_one	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// a dirty mirror thanks to Code Made Flesh for this one again :)
textures/aadel_barsketbrawl/mirror02
{
	nopicmip
	qer_editorimage textures/aadel_barsketbrawl/mirror02.tga
	surfaceparm nolightmap
	portal
	{
		map textures/aadel_barsketbrawl/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
    {
        map textures/aadel_barsketbrawl/mirror02.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }

}


//laddercilp
textures/aadel_barsketbrawl/ladderclip
{
        qer_trans 0.40
	  qer_editor_image textures/aadel_barsketbrawl/ladderclip.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}



//My metal texture :D (non solid version) +++Plz Refrence+++ 
textures/aadel_barsketbrawl/del_metalz3
{   
	surfaceparm nonsolid
         {
		map textures/aadel_barsketbrawl/del_metalz3.jpg
		rgbGen identity
	} 
        {
		map textures/aadel_barsketbrawl/del_metalz_effect.jpg
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}
//My metal texture :D (solid darker version) +++Plz Refrence+++
textures/aadel_barsketbrawl/del_metalz2
{   
         {
		map textures/aadel_barsketbrawl/del_metalz2.jpg
		rgbGen identity
	} 
        {
		map textures/aadel_barsketbrawl/del_metalz_effect.jpg
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

//My metal texture :D (non solid version) +++Plz Refrence+++ 
textures/aadel_barsketbrawl/del_metalz
{   
         {
		map textures/aadel_barsketbrawl/del_metalz.jpg
		rgbGen identity
	} 
        {
		map textures/aadel_barsketbrawl/del_metalz_effect.jpg
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}
//laddercilp
textures/aadel_barsketbrawl/ladderclip
{
        qer_trans 0.40
	  qer_editor_image textures/aadel_barsketbrawl/ladderclip.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}


//************************
// Asorted Decals
//************************
//this was made by my 9 year old little brother (James "Kraze" Krzanich) love you lots bro <3
// +++ Plz Refrence +++ DON'T FUCKING STEAL THIS!!!1!
textures/aadel_barsketbrawl/smile
{
    nopicmip
    surfaceparm nomarks
    surfaceparm trans  
    polygonOffset
    sort 6
	{
		map textures/aadel_barsketbrawl/smile.tga //name it .tga even if it isn't
        blendFunc GL_DST_COLOR GL_ZERO 
        depthWrite 
        rgbGen wave sin 0.5 0.5 0 1
	}
}
//Plant :D
textures/aadel_barsketbrawl/plant1
{
        qer_editorimage textures/aadel_barsketbrawl/plant1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/aadel_barsketbrawl/plant1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//fern leaf from the interwebz :P
textures/aadel_barsketbrawl/branch_2
{
      qer_editorimage textures/aadel_barsketbrawl/branch_2.tga
	cull none
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	cull disable
	surfaceparm trans 
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/aadel_barsketbrawl/branch_2.tga
		alphafunc GE128
		rgbGen vertex
	}
}
//this is a picture of my bestest buddies :) SnailPaste
textures/aadel_barsketbrawl/snail
{
    nopicmip
    surfaceparm nomarks
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/aadel_barsketbrawl/snail.tga //name it .tga even if it isn't
        blendFunc GL_DST_COLOR GL_ZERO 
        depthWrite 
        rgbGen identity
	}
}

//graffiti decal - i Mades it so pl0x Refrence
textures/aadel_barsketbrawl/delirium2
{
    nopicmip
    surfaceparm nomarks
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/aadel_barsketbrawl/delirium2.tga //name it .tga even if it isn't
        blendFunc GL_DST_COLOR GL_ZERO 
        depthWrite 
        rgbGen identity
	}
}

//fern leaf from sanc, ty BBQ - slightly tweaked
//added so its now moving
textures/aadel_barsketbrawl/fern
{
      qer_editorimage textures/aadel_barsketbrawl/fern.tga
	cull none
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	cull disable
	surfaceparm trans 
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/aadel_barsketbrawl/fern.tga
		alphafunc GE128
		rgbGen vertex
	}
}

//moving leaf
textures/aadel_barsketbrawl/leaf1
{
        qer_editorimage textures/aadel_barsketbrawl/leaf1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        nopicmip
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/aadel_barsketbrawl/leaf1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//moving leaf
textures/aadel_barsketbrawl/leaf2
{
        qer_editorimage textures/aadel_barsketbrawl/leaf2.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        nopicmip
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/aadel_barsketbrawl/leaf2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//ripped from ut4_terrorism3
textures/aadel_barsketbrawl/marks1
{
    nopicmip
    surfaceparm nomarks
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/aadel_barsketbrawl/marks1.tga //name it .tga even if it isn't
        blendFunc GL_DST_COLOR GL_ZERO 
        depthWrite 
        rgbGen identity
	}
}

//this is BlindSpott's logo (BlinSpott is a New Zealand band and I have permission to use this)
textures/aadel_barsketbrawl/blindspott
{
    nopicmip
    surfaceparm nomarks
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/aadel_barsketbrawl/blindspott.tga //name it .tga even if it isn't
        blendFunc GL_DST_COLOR GL_ZERO 
        depthWrite 
        rgbGen identity
	}
}


//made by myself (I lol'd)  +++Plz Refrence+++
textures/aadel_barsketbrawl/wanker
{
    nopicmip
    surfaceparm nomarks
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/aadel_barsketbrawl/wanker.tga //name it .tga even if it isn't
        blendFunc GL_DST_COLOR GL_ZERO 
        depthWrite 
        rgbGen identity
	}
}

//************************************************
//****The following decals were from Dragonne*****
//************************************************
textures/aadel_barsketbrawl/splat1
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/aadel_barsketbrawl/splat1.tga

	{
         map textures/aadel_barsketbrawl/splat1.tga
	   blendfunc filter
	}
}

textures/aadel_barsketbrawl/splat2
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/aadel_barsketbrawl/splat2.tga

	{
         map textures/aadel_barsketbrawl/splat2.tga
	   blendfunc filter
	}
}

textures/aadel_barsketbrawl/splat3
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/aadel_barsketbrawl/splat3.tga

	{
         map textures/aadel_barsketbrawl/splat3.tga
	   blendfunc filter
	}
}

textures/aadel_barsketbrawl/splat6
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/aadel_barsketbrawl/splat6.tga

	{
         map textures/aadel_barsketbrawl/splat6.tga
	   blendfunc filter
	}
}

textures/aadel_barsketbrawl/splat_die
{
	polygonOffset
	nomipmaps
	nopicmip
	qer_editorimage textures/aadel_barsketbrawl/splat_die.tga

	{
         map textures/aadel_barsketbrawl/splat_die.tga
	   blendfunc filter
	}
}

//fireflys thanks to 27 for this
textures/aadel_barsketbrawl/firefly1
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 10
      map textures/aadel_barsketbrawl/firefly.tga
      blendfunc add
   }
}


textures/aadel_barsketbrawl/firefly2
{ 
   surfaceparm nolightmap  
   surfaceparm trans 
   surfaceparm noimpact
   
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate 20
      map textures/aadel_barsketbrawl/firefly.tga
      blendfunc add
   }
}


textures/aadel_barsketbrawl/firefly3
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate -15
      map textures/aadel_barsketbrawl/firefly.tga
      blendfunc add
   }
}

//green moving vines
//texture by TraK script by Delirium
textures/aadel_barsketbrawl/vine07
{
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	deformVertexes wave 194 sin 0 2 0 .2

	{
		map textures/aadel_barsketbrawl/vine07.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

//orange moving vines
//texture by TraK script by Delirium
textures/aadel_barsketbrawl/vine06
{
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	deformVertexes wave 194 sin 0 2 0 .2

	{
		map textures/aadel_barsketbrawl/vine06.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/aadel_barsketbrawl/black_fog
{
	qer_editorimage textures/aadel_barsketbrawl/fog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( 0 0 0 ) 350
	q3map_bouncescale 0
}

